
from odoo.upgrade import util

def migrate(cr, version):
    # qcontext `languages` to `frontend_languages`
    for view_xml in [
        "openerp_website.o_day23_header",
        "openerp_website.o_xp23_header",
        "openerp_website.o_xp24_header",
        "openerp_website.o_cd24_header",
    ]:
        with util.skippable_cm(), util.edit_view(cr, view_xml) as arch:
            for n in arch.xpath("//*[@t-set='active_lang']"):
                n.set('t-value', "frontend_languages[lang]")

            for n in arch.xpath("//*[contains(@t-if, 'languages')]"):
                n.set('t-if', n.get('t-if').replace("languages", "frontend_languages"))

            for attr_name in ['t-value', 't-out']:
                for n in arch.xpath("//*[contains(@%s, 'active_lang')]" % attr_name):
                    n_value = n.get(attr_name)
                    n_value = n_value.replace("active_lang[0]", "active_lang.code")
                    n_value = n_value.replace("active_lang[1]", "active_lang.url_code")
                    n_value = n_value.replace("active_lang[2]", "active_lang.name")
                    n_value = n_value.replace("active_lang[3]", "active_lang.active")
                    n_value = n_value.replace("active_lang[4]", "active_lang.flag_image_url")
                    n.set(attr_name, n_value)
